<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Get Cfs REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75225/get-cfs-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Get Cfs REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75225/get-cfs-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:44:49 GMT</pubDate><guid isPermaLink="false">258c4415-4200-4c25-b502-75f517adb3d3</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75225/get-cfs-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:44:49&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/cfs/{fileStore}/{filepath}/{filename}&lt;/h2&gt;&lt;p&gt;GET a CFS file&lt;/p&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Centralized File Storage (CFS) › Read Files&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;cfs.files.readonly&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;Filename&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Filename&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;FilePath&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;File Path&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;FileStore&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;File Store&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Height&lt;/td&gt;  &lt;td&gt;int?&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Used when requesting a resized image&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Width&lt;/td&gt;  &lt;td&gt;int?&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Used when requesting a resized image&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/cfs/{fileStore}/{filepath}/{filename}&amp;#39;,
	data: { 
		&amp;#39;fileStore&amp;#39;: &amp;#39;filestore&amp;#39;,
		&amp;#39;filepath&amp;#39;: &amp;#39;filepath&amp;#39;,
		&amp;#39;filename&amp;#39;: &amp;#39;filename&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;File&amp;quot;: {
    &amp;quot;ContentLength&amp;quot;: 0,
    &amp;quot;FileName&amp;quot;: &amp;quot;filename&amp;quot;,
    &amp;quot;Path&amp;quot;: &amp;quot;path&amp;quot;,
    &amp;quot;FileStoreKey&amp;quot;: &amp;quot;filestorekey&amp;quot;
  },
  &amp;quot;Info&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Warnings&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/cfs/resized/{width}x{height}/{fileStore}/{filepath}/{filename}&lt;/h2&gt;&lt;p&gt;GET a resized CFS image&lt;/p&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Centralized File Storage (CFS) › Read Files&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;cfs.files.readonly&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;Filename&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Filename&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;FilePath&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;File Path&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;FileStore&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;File Store&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Height&lt;/td&gt;  &lt;td&gt;int?&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Used when requesting a resized image&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Width&lt;/td&gt;  &lt;td&gt;int?&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Used when requesting a resized image&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/cfs/resized/{width}x{height}/{fileStore}/{filepath}/{filename}&amp;#39;,
	data: { 
		&amp;#39;width&amp;#39;: &amp;#39;6&amp;#39;,
		&amp;#39;height&amp;#39;: &amp;#39;6&amp;#39;,
		&amp;#39;fileStore&amp;#39;: &amp;#39;filestore&amp;#39;,
		&amp;#39;filepath&amp;#39;: &amp;#39;filepath&amp;#39;,
		&amp;#39;filename&amp;#39;: &amp;#39;filename&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;File&amp;quot;: {
    &amp;quot;ContentLength&amp;quot;: 0,
    &amp;quot;FileName&amp;quot;: &amp;quot;filename&amp;quot;,
    &amp;quot;Path&amp;quot;: &amp;quot;path&amp;quot;,
    &amp;quot;FileStoreKey&amp;quot;: &amp;quot;filestorekey&amp;quot;
  },
  &amp;quot;Info&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Warnings&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>